Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.metadata.portlet
Class SupportsMetaData

    java.lang.Object
      org.jboss.portal.portlet.impl.metadata.portlet.SupportsMetaData

    public class SupportsMetaData

extends java.lang.Object

Version:
  $Revision$
Author:
  Emanuel Muckenhuber

Constructor Summary
`SupportsMetaData()`
`SupportsMetaData(java.lang.String id)`

Method Summary
`void` | `addPortletMode(PortletModeMetaData portletMode)`
`void` | `addWindowState(WindowStateMetaData windowState)`
`java.lang.String` | `getId()`
`java.lang.String` | `getMimeType()`
`java.util.List<PortletModeMetaData>` | `getPortletModes()`
`java.util.List<WindowStateMetaData>` | `getWindowStates()`
`void` | `setId(java.lang.String id)`
`void` | `setMimeType(java.lang.String mimeType)`
`void` | `setPortletModes(java.util.List<PortletModeMetaData> portletModes)`
`void` | `setWindowStates(java.util.List<WindowStateMetaData> windowStates)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SupportsMetaData

    public SupportsMetaData()

### SupportsMetaData

    public SupportsMetaData(java.lang.String id)

Method Detail

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getMimeType

    public java.lang.String getMimeType()

### setMimeType

    public void setMimeType(java.lang.String mimeType)

### getPortletModes

    public java.util.List<PortletModeMetaData> getPortletModes()

### setPortletModes

    public void setPortletModes(java.util.List<PortletModeMetaData> portletModes)

### addPortletMode

    public void addPortletMode(PortletModeMetaData portletMode)

### getWindowStates

    public java.util.List<WindowStateMetaData> getWindowStates()

### setWindowStates

    public void setWindowStates(java.util.List<WindowStateMetaData> windowStates)

### addWindowState

    public void addWindowState(WindowStateMetaData windowState)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.